html {
    box-sizing: border-box;
}

*,
*:before,
*:after {
    box-sizing: inherit;
}

ul,
ol {
    padding-left: 0;
    list-style: none;
}

sup {
    line-height: 0;
}

.cf:before,
.cf:after {
    content: " ";
    display: table;
}

.cf:after {
    clear: both;
}

html {
    font-family: "Helvetica Neue", Arial, sans-serif;
    min-height: 100%;
}

.return-button {
    margin-top: 0.5rem;
    margin-bottom: 0.5rem;
    margin-left: 0.5rem;
    padding-left: 0.8rem;
    background: rgb(22, 22, 22);
    border-radius: 4px;
    transition-duration: 300ms;
    width: 226px;
    box-shadow: 2px 2px black;
    font-family: sans-serif;
}

.return-button:hover {
    background: rgb(45, 45, 45);;
    transition-duration: 300ms;
}

.return-button a {
    color: white !important;
    text-decoration: none;
}

.return-button p {
    margin: 0;
    padding-top: 0.8rem;
    padding-bottom: 0.8rem;
}
body {
    min-height: 100%;
    margin: 0;
    background: url(images/stone-wall.webp) repeat-x fixed,
        url(images/stone-wall.webp) repeat-x left bottom,
        linear-gradient(30deg, #0a574b 0%, #325f5d 16%, #4d6770 33%, #656e83 50%, #7d7597 66%, #957bab 83%, #ad81c0 100%)
}

.container {
    margin: 0 .625rem;
    overflow: hidden;
}

.wrapper {
    border: 2px solid white;
    border-radius: 10px;
    background: #5f84a9;
    margin-top: 10px;
    margin-bottom: 10px;
}

header {
    display: flex;
    border-radius: 10px;
    border: 2px solid gray;
    margin: 20px;
    background: url(images/50-percent-off.webp) no-repeat top 0px right 0px / 50px 50px,
        url(images/plant-header.webp) no-repeat center center / cover;
}

header h1 {
    line-height: 4;
    text-align: center;
    flex: 1 0 auto;
    margin: 0;
    color: #fff;
    font-family: "Myriad Pro Regular", sans-serif;
    font-weight: 200;
    letter-spacing: 4px;
    text-shadow: 0 -2px 2px rgba(0, 0, 0, 0.6);
    background: transparent linear-gradient(180deg, rgba(223, 190, 141, 0.1) 0%, rgba(255, 190, 0, 1) 100%);
    border-top-left-radius: 10px;
    border-top-right-radius: 10px;
    border-bottom-left-radius: 10px;
    border-bottom-right-radius: 10px;
}

header h1 sup {
    font-size: .6em;
}

button {
    margin: 0 0 0 22px;
}

nav ul li a {
    text-decoration:none;
    color: white;
    padding: 8px 32px;
    margin: 6px 24px 6px 24px;
    background-color:#075a4b;
    border: solid 2px black;
    border-radius: 4px;
}

.nav-main-menu-toggle {
    cursor:pointer;
    background: #075a4b;
    border:solid 1px black;
}

.nav-main-menu-toggle svg * {
    transform-box: fill-box;
    fill:white;
}

.nav-main-menu-toggle rect {
    transition: all 2s ease-in-out;
    transform-origin: center;
}

.nav-main-menu-toggle[aria-expanded="true"] rect:nth-child(1) {
    translate: 10px 12px;
    rotate: 0.25turn;
    fill:#9f8248;
    transform-origin:center;
}

.nav-main-menu-toggle[aria-expanded="true"] rect:nth-child(2){
    rotate: 0.25turn;
    translate: 0 2px;
    fill:#9f8248;
    transform-origin:center;
}

.nav-main-menu-toggle[aria-expanded="true"] rect:nth-child(3) {
    translate: -10px -8px;
    rotate: 0.25turn;
    fill:#9f8248;
    transform-origin:center;
}

#nav-main-menu {
    transform: translateX(200%);
    transition: all 1.5s ease-in-out;
    width: 75vw;
    margin:0;
    padding:0;
    visibility: hidden;
    position: absolute;
    display: flex;
    flex-direction:column;
    list-style: none;
    background: rgb(79, 101, 84);
    border-radius: 6px;
    border: solid 2px black;
    padding: 0 0 0 12px;
}

#nav-main-menu:not([hidden]) {
    visibility: visible;
    transform: translateX(0);
    transition: all 0.75s ease-in-out;
}

#nav-main-menu li a {
    color: rgb(255, 255, 255);
    background: none;
    transition: all 0.25s ease-in-out;
    display:flex;
    margin: 10px;
    border:none;
}

#nav-main-menu li a:hover {
    color:lavender;
    box-shadow: 0px 0px 6px hsla(0, 0%, 0%, 0.7);
    border-radius: 2px;
}

section {
    overflow: hidden;
    margin: 20px;
    border: 2px solid white;
    border-radius: 10px;
    padding: 10px;
    box-shadow: 0 4px 4px rgba(0, 0, 0, 0.8);
    background: linear-gradient(305deg, #7c6703 0%, #887020 16%, #937935 33%, #9f8248 50%, #aa8b5b 66%, #b5946e 83%, #c09e81 100%);
}

h2 {
    margin: 24px 0 6px;
}

p {
    margin: 0 0 16px;
    line-height: 1.4;
    text-indent: 12px;
}

img {
    width: 25%;
    align-self: center;
}

footer {
    clear: both;
    overflow: auto;
    margin: 0 20px;
    padding: 0 0 20px;
    color: #fff;
}

footer a[href^=javascript] {
    position: relative;
    color: #000;
    display: block;
    line-height: 2em;
    font-size: 0.625em;
    background-color: #fff;
    border-radius: 3px;
    margin: 0 0 0 10px;
    padding: 0 10px;
    float: right;
    text-decoration: none;
    box-shadow: 0 2px 2px #000;
}

footer a[href^=http]:active {
    top: 2px;
    box-shadow: none;
}

.cta-button {
    display: flex;
    flex-wrap: wrap;
    align-items: center;
    clear: both;
    margin: 1rem 0;
    padding: 0.75rem 0;
}

.cta-button-primary {
    color:white;
    background: #075a4b;
    text-decoration:none;
    border-radius: 0.25rem;
    border: solid black 0.10em;
    margin: 0.5rem 0.7rem;
}

.cta-button-primary:link {
    color:white;
}

.cta-button-primary:hover  {
    border: solid white 0.10em;
}

.cta-button-primary:active {
    color: #dec1eb;
}

.cta-button-secondary {
    color:black;
    background: #c09e81;
    text-decoration: none;
    border-radius: 0.25rem;
    border: solid black 0.1em;
    margin: 0.5rem 0.7rem;
}

.cta-button-shadow {
    box-shadow: 0px 4px 4px hsla(0, 0%, 0%, 0.5);
}

.cta-button-secondary:link {
    color:black;
}

.cta-button-secondary:hover {
    box-shadow: 0px 8px 8px hsla(0, 0%, 0%, 0.7);
}

.cta-button-secondary:active {
    border:solid white 0.15em;
}

.cta-button-third {
    color: #e7dcf1;
    background: #774c60;
    text-decoration: none;
    border-radius: 0.25rem;
    border: solid #b75d69 0.1em;
    margin: 0.5rem 0.7rem;
}

.cta-button-third:link {
    background:#774c60;
}

.cta-button-third:hover {
    color:white;
}

.cta-button-third:active {
    border: solid #b75d69 0.2em;
}

.cta-button-large {
    padding: 1rem;
    font-size: 1.7em;
    text-transform: uppercase;
}

.cta-button-medium {
    padding: 0.7rem;
    font-size: 1.45em;
}

.cta-button-small {
    padding: 0.5rem;
    font-size: 1.2em;
}

.cta-button-navigation {
    color:white;
    font-size: 1.6em;
    background: #344a56;
    text-decoration: none;
    border-radius: 0.4rem;
    border: solid black 0.10em;
    margin:0.5rem 0.7rem;
}

.cta-button-navigation:link {
    color:white;
}

.cta-button-navigation:hover {
    text-shadow: 0px 4px 4px hsla(0, 0%, 0%, 0.7);
}

.cta-button-navigation:active {
    border: solid white 0.1em;
}

.cta-button-normalcase {
    text-transform:unset;
}

@media (min-width: 768px) {
    .container {
        width: 96%;
        max-width: 1000px;
        margin: 20px auto;
    }

    header {
        height: 400px;
        background: url(images/limited-offer.webp) no-repeat 10px -4px / 72px 60px,
            url(images/50-percent-off.webp) no-repeat top -5px right -5px / 100px 80px,
            url(images/plant-header.webp) no-repeat center center / cover,
            #000 linear-gradient(to bottom, rgb(236, 154, 11), rgb(240, 175, 47));
    }

    header h1 {
        line-height: 2;
        font-size: 2.75em;
        align-self: flex-end;
        border-top-left-radius: 0px;
        border-top-right-radius: 0px;

    }

    .nav-main {
        position:static;
        top:auto;
        left:auto;
    }

    .nav-main-menu-toggle {
        display:none;
    }

    #nav-main-menu {
        position:relative;
        visibility: visible;
        transform: translateX(0);
        transition:none;
        background:transparent;
        display:flex;
        flex-direction:row;
        border:none;
    }

    #nav-main-menu li a:hover {
        color:white;
        box-shadow: 0 0 8px hsla(0, 0%, 0%, 0.7);
    }
    
    img {
        width: auto;
        float: right;
        margin: 0 0 2px 4px;
    }
}